(function() {

  function setCurrentTab() {
    $(".image-metadata-tab").hide();
    var cur_tab = window.location.hash;
    if (cur_tab) {} else { cur_tab = "#" + $(".image-metadata li.active").attr("rel"); }
    if (cur_tab !== "#undefined") {
      if ((cur_tab == '#comments') || (cur_tab == '#edit_comment')) { cur_tab = "#tab-comment"; }
      var cur_tab_rel = cur_tab.replace("#", "");
      $("ul.image-metadata li").removeClass("active");
      $("ul.image-metadata li[rel='" + cur_tab_rel + "']").addClass("active");
      if (cur_tab == "#tab-comment") { normalizeComments("tab-comment"); }
      $(cur_tab).show();
    } else {
      $(".image-metadata-tab").first().show(); 
    }
  }

  function normalizeComments(activeTab) {
    if (activeTab == 'tab-comment') {
      $("li.commentElement .actions a").each(function( index ) {
        if ($(this).is('a[href*="#"]')) { 
        } else {
          var href = $(this).attr("href") + "#tab-comment";
          $(this).attr("href", href);
        }
      });
    }
  }

  function switchTab(tab) {
    $("ul.image-metadata li").removeClass("active");
    $(tab).addClass("active");
    $(".image-metadata-tab").hide();
    var activeTab = $(tab).attr("rel"); 
    window.location.hash = '#' + activeTab;
    if (p_pict_tab_anim == "on") {
      $("#" + activeTab).fadeIn();
    }else{
      $("#" + activeTab).show();
    }
    normalizeComments(activeTab);
  }

  jQuery(function(){
    setCurrentTab();

    $("ul.image-metadata li").click(function() { switchTab(this); });
  });
}());